Package com.sun.jna.platform.win32.COM

# Class Dispatch.ByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Dispatch
com.sun.jna.platform.win32.COM.Dispatch.ByReference

All Implemented Interfaces:
  `NativeMapped`, `IDispatch`, `IUnknown`, `Structure.ByReference`

Enclosing class:
  Dispatch

public static class Dispatch.ByReference extends Dispatch implements Structure.ByReference

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Dispatch

`Dispatch.ByReference`

## Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IDispatch

`IID_IDISPATCH`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`ByReference()`

## Method Summary

### Methods inherited from class com.sun.jna.platform.win32.COM.Dispatch

`GetIDsOfNames, GetTypeInfo, GetTypeInfoCount, Invoke`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

## Constructor Details

### ByReference

public ByReference()